## module-assistant 0.11.14

=== debian/changelog ===
module-assistant (0.11.14) unstable; urgency=medium

  * Do not run kdist_clean and kdist_config in a single command.
  * Modernize the template.
  * Update compliant.list:
    - osmocom-dahdi-source
  * Bump Standards-Version to 4.7.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Feb 2025 09:25:11 +0100
