=== templates/debian/tests/control ===
Test-Command: /usr/share/modass/module-assistant-autopkgtest someproject
Features: test-name=m-a-autopkgtest
Depends:
 someproject-source,
 module-assistant-autopkgtest,
 linux-doc,
Restrictions:
 superficial,
 needs-root,
 breaks-testbed,
 allow-stderr,
