## module-assistant 0.11.14build1

=== debian/changelog ===
module-assistant (0.11.14build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 19:23:40 +0000
